Bug 197717 - Bad permissions in rpm
Bad permissions in rpm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: librx (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 15:01 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.5-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 11:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2006-07-05 15:01:56 EDT
Description of problem:

# rpmlint librx-devel-1.5-6.fc5.i386.rpm
E: librx-devel script-without-shellbang /usr/include/rxposix.h

The permissions on this file are wrong:
# rpm -qlvp librx-devel-1.5-6.fc5.i386.rpm
-rwxr-xr-x    1 root    root             4900 Mar  1 01:34 /usr/include/rxposix.h

The file should be non-executable.
Comment 1 Tom "spot" Callaway 2006-09-11 11:00:35 EDT
Resolved in 1.5-8.

Note You need to log in before you can comment on or make changes to this bug.